# This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.

# Maintainer: Future Linux Team <future_linux@163.com>
pkgname=tzdata
pkgver=2024a
pkgrel=2
pkgdesc="Sources for time zone and daylight saving time data"
arch=('x86_64')
url="https://www.iana.org/time-zones"
license=('LicenseRef-tz')
options=('!emptydirs')
source=(https://www.iana.org/time-zones/repository/releases/tzcode${pkgver}.tar.gz
	https://www.iana.org/time-zones/repository/releases/${pkgname}${pkgver}.tar.gz)
sha256sums=(80072894adff5a458f1d143e16e4ca1d8b2a122c9c5399da482cb68cba6a1ff8
	0d0434459acbd2059a7a8da1f3304a84a86591f6ed69c6248fffa502b6edffe3)

prepare() {

	sed -i "s:lib:lib64:g" Makefile
}

build() {

	make LFLAGS="${LDFLAGS} ${LTOFLAGS}"
}

package() {

	make DESTDIR=${pkgdir} install


	for tz in etcetera southamerica northamerica europe africa antarctica  \
		asia australasia backward
	do
		./zic -L /dev/null   -d ${pkgdir}/usr/share/zoneinfo       ${tz}
		./zic -L /dev/null   -d ${pkgdir}/usr/share/zoneinfo/posix ${tz}
		./zic -L leapseconds -d ${pkgdir}/usr/share/zoneinfo/right ${tz}
	done

	cp -v zone.tab zone1970.tab iso3166.tab leap-seconds.list SECURITY  ${pkgdir}/usr/share/zoneinfo
	./zic -d ${pkgdir}/usr/share/zoneinfo -p America/New_York
    
	rm -v ${pkgdir}/etc/localtime
}
